Fish_GrandPrixRankingCFG = {}

function Fish_GrandPrixRankingCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_GrandPrixRankingCFG:init()
	self.datas = {}
	self.datas[1] = {Id = 1, RankingType = 1, StartRank = 1, EndRank = 1, RewardList = {1,10000000,94,1,41,10}}
	self.datas[2] = {Id = 2, RankingType = 1, StartRank = 2, EndRank = 2, RewardList = {1,5000000,41,8}}
	self.datas[3] = {Id = 3, RankingType = 1, StartRank = 3, EndRank = 3, RewardList = {1,3000000,41,5}}
	self.datas[4] = {Id = 4, RankingType = 1, StartRank = 4, EndRank = 6, RewardList = {1,1000000,41,3}}
	self.datas[5] = {Id = 5, RankingType = 1, StartRank = 7, EndRank = 10, RewardList = {1,500000}}
	self.datas[6] = {Id = 6, RankingType = 1, StartRank = 11, EndRank = 20, RewardList = {1,300000}}
	self.datas[7] = {Id = 7, RankingType = 1, StartRank = 21, EndRank = 50, RewardList = {1,100000}}
	self.datas[8] = {Id = 8, RankingType = 2, StartRank = 1, EndRank = 1, RewardList = {3,100000,96,3,290,100}}
	self.datas[9] = {Id = 9, RankingType = 2, StartRank = 2, EndRank = 2, RewardList = {3,50000,96,2,290,40}}
	self.datas[10] = {Id = 10, RankingType = 2, StartRank = 3, EndRank = 3, RewardList = {3,30000,96,1,290,30}}
	self.datas[11] = {Id = 11, RankingType = 2, StartRank = 4, EndRank = 6, RewardList = {26,2,27,2,290,20}}
	self.datas[12] = {Id = 12, RankingType = 2, StartRank = 7, EndRank = 10, RewardList = {26,1,27,1,290,10}}
	self.datas[13] = {Id = 13, RankingType = 2, StartRank = 11, EndRank = 20, RewardList = {25,1,290,5}}
	self.datas[14] = {Id = 14, RankingType = 2, StartRank = 21, EndRank = 50, RewardList = {24,1,290,2}}
	self.datas[15] = {Id = 15, RankingType = 2, StartRank = 51, EndRank = 100, RewardList = {23,2,290,1}}
end

Fish_GrandPrixRankingCFG:init()
